<?php
/*
	Copyright (C) 2010-2013 OrderStorm, Inc. (e-mail: wordpress-ecommerce@orderstorm.com)
	
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
?>
<div class="categories page">
<?php if (!orderstorm_ecommerce('category', 'should_name_be_used_as_category_page_title')): ?>
	<h1><?php orderstorm_ecommerce('category', 'description'); ?></h1>
<?php endif; ?>
<?php if (orderstorm_ecommerce('category', 'long_description_is_not_empty')): ?>
	<div class="long_description"><?php orderstorm_ecommerce('category', 'long_description'); ?></div>
<?php endif; ?>
</div>
<?php if (orderstorm_ecommerce('category', 'sub_categories', 'exist')): ?>
<div class="categories list">
	<?php while (orderstorm_ecommerce('category', 'sub_categories', 'next')): ?>
	<div class="tile_medium">
		<a href="<?php orderstorm_ecommerce('sub_category', 'page_link'); ?>">
		<label><?php orderstorm_ecommerce('sub_category', 'description'); ?></label>
		<div>
		<?php if (orderstorm_ecommerce('sub_category', 'has_image')): ?>
			<img src="<?php orderstorm_ecommerce('sub_category', 'image_url') ?>" />
		<?php else: ?>
			<?php if (orderstorm_ecommerce('category', 'has_default_image')): ?>
			<img src="<?php orderstorm_ecommerce('category', 'default_image_url') ?>" />
			<?php endif; ?>
		<?php endif; ?>
		</div>
		</a>
	</div>
	<?php endwhile; ?>
</div>
<?php endif; ?>
<?php if (orderstorm_ecommerce('category', 'products', 'exist')): ?>
<table class="products list">
	<?php while (orderstorm_ecommerce('category', 'products', 'next')): ?>
	<tr valign="top">
		<td class="product_image" align="center">
			<a href="<?php orderstorm_ecommerce('category_product', 'page_link'); ?>" title="<?php orderstorm_ecommerce('category_product', 'name'); ?>">
			<?php if (orderstorm_ecommerce('category_product', 'has_thumbnail_image')): ?>
				<img src="<?php orderstorm_ecommerce('category_product', 'thumbnail_image_url'); ?>" />
			<?php elseif (orderstorm_ecommerce('product', 'has_default_small_image')): ?>
				<img src="<?php orderstorm_ecommerce('product', 'default_small_image_url'); ?>" />
			<?php endif; ?>
			</a>
		</td>
		<td class="product_description">
			<h2><a href="<?php orderstorm_ecommerce('category_product', 'page_link'); ?>" title="<?php orderstorm_ecommerce('category_product', 'name'); ?>"><?php orderstorm_ecommerce('category_product', 'name'); ?></a></h2>
			<p>
			<?php if (orderstorm_ecommerce('category_product', 'has_item_number')): ?>
				<span class="item_number"><?php orderstorm_ecommerce('category_product', 'item_number_with_caption', 'Item #: %s'); ?></span>
			<?php endif; ?>
			<span class="price sale"><?php orderstorm_ecommerce('money_format', orderstorm_ecommerce('category_product', 'your_cost', true)); ?></span>
			</p>
			<div class="description"><?php orderstorm_ecommerce('category_product', 'short_description'); ?></div>
		</td>
	</tr>
	<?php endwhile; ?>
	<tr valign="top">
		<td colspan="2">
			<div class="pcat-nav"><?php
				orderstorm_ecommerce('category', 'navigation_previous_page_link', '<span class="pcat-nav-arrow">&larr;</span> Previous');
				orderstorm_ecommerce('category', 'navigation_next_page_link', 'Next <span class="pcat-nav-arrow">&rarr;</span>');
			?>	<div class="pcat-nav-caption">
					<?php orderstorm_ecommerce('category', 'navigation_current_page_caption', 'Page %d of %d'); ?>
				</div>
			</div>
		</td>
	</tr>
</table>
<?php endif; ?>
